Share feedback
Answers are generated based on the documentation.

Update organization settings

PUT/v2/orgs/{name}/settings

Updates an organization's settings. Some settings are only used when the organization is on a business subscription.

Only users with administrative privileges for the organization (owner role) can modify these settings.

The following settings are only used on a business subscription:

  • restricted_images

Connection and access

API connection and authentication guidance

https://hub.docker.com — Docker HUB API

Use one of these alternatives. Requirements within an alternative apply together.

  • bearerAuth

Parameters

name path Required

Name of the organization.

Type: string

All schema constraints and annotations
{
  "type": "string"
}

Request and responses

Request

application/json

restricted_images · required
All constraints apply

Schema: restricted_images

Type: object

All schema constraints and annotations
{
  "required": [
    "enabled",
    "allow_official_images",
    "allow_verified_publishers"
  ],
  "type": "object"
}
All schema constraints and annotations
{
  "allOf": [
    {
      "$ref": "#/components/schemas/restricted_images"
    },
    {
      "required": [
        "enabled",
        "allow_official_images",
        "allow_verified_publishers"
      ],
      "type": "object"
    }
  ]
}
All schema constraints and annotations
{
  "examples": [
    {
      "restricted_images": {
        "allow_official_images": true,
        "allow_verified_publishers": true,
        "enabled": true
      }
    }
  ],
  "properties": {
    "restricted_images": {
      "allOf": [
        {
          "$ref": "#/components/schemas/restricted_images"
        },
        {
          "required": [
            "enabled",
            "allow_official_images",
            "allow_verified_publishers"
          ],
          "type": "object"
        }
      ]
    }
  },
  "required": [
    "restricted_images"
  ]
}

Schema example

{
  "restricted_images": {
    "allow_official_images": true,
    "allow_verified_publishers": true,
    "enabled": true
  }
}

Response 200

OK

application/json

Schema: orgSettings

Schema example

{
  "restricted_images": {
    "allow_official_images": true,
    "allow_verified_publishers": true,
    "enabled": true
  }
}

Response 401

Unauthorized

application/json

Schema: error

error

{
  "errinfo": null,
  "message": "unauthorized"
}

Response 403

Forbidden

application/json

Schema: error

error

{
  "errinfo": null,
  "message": "permission denied"
}

Response 404

Not Found

application/json

Schema: error

error

{
  "errinfo": null,
  "message": "not found"
}

Referenced schemas

#/components/schemas/orgSettings

#/components/schemas/restricted_images

Complete operation contract
{
  "description": "Updates an organization's settings. Some settings are only used when the organization is on a business subscription.\n\n***Only users with administrative privileges for the organization (owner role) can modify these settings.***\n\nThe following settings are only used on a business subscription:\n- `restricted_images`\n",
  "operationId": "putV2OrgsByNameSettings",
  "requestBody": {
    "content": {
      "application/json": {
        "schema": {
          "examples": [
            {
              "restricted_images": {
                "allow_official_images": true,
                "allow_verified_publishers": true,
                "enabled": true
              }
            }
          ],
          "properties": {
            "restricted_images": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/restricted_images"
                },
                {
                  "required": [
                    "enabled",
                    "allow_official_images",
                    "allow_verified_publishers"
                  ],
                  "type": "object"
                }
              ]
            }
          },
          "required": [
            "restricted_images"
          ]
        }
      }
    },
    "required": true
  },
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/orgSettings"
          }
        }
      },
      "description": "OK"
    },
    "401": {
      "$ref": "#/components/responses/Unauthorized"
    },
    "403": {
      "$ref": "#/components/responses/Forbidden"
    },
    "404": {
      "$ref": "#/components/responses/NotFound"
    }
  },
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "summary": "Update organization settings",
  "tags": [
    "org-settings"
  ]
}